OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.ElementArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIElementArray :: MonadIO m => m Bool
- gl_ATI_element_array :: Bool
- gl_ELEMENT_ARRAY_ATI :: GLenum
- gl_ELEMENT_ARRAY_POINTER_ATI :: GLenum
- gl_ELEMENT_ARRAY_TYPE_ATI :: GLenum
- glDrawElementArrayATI :: MonadIO m => GLenum -> GLsizei -> m ()
- glDrawRangeElementArrayATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> m ()
- glElementPointerATI :: MonadIO m => GLenum -> Ptr a -> m ()

# Extension Support

glGetATIElementArray :: MonadIO m => m Bool

Is the ATI_element_array extension supported?

gl_ATI_element_array :: Bool

Is the ATI_element_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIElementArray` in those cases instead.

# Enums

gl_ELEMENT_ARRAY_ATI :: GLenum

gl_ELEMENT_ARRAY_POINTER_ATI :: GLenum

gl_ELEMENT_ARRAY_TYPE_ATI :: GLenum

# Functions

glDrawElementArrayATI

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> m () |

glDrawRangeElementArrayATI

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> m () |

glElementPointerATI

Arguments

:: MonadIO m |
=> GLenum | `type` of type `ElementPointerTypeATI`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type)` elements of type `a`.
-> m () |